strcoll
strip_tags
String Functions
PHP Manual

# strcspn

(PHP 4, PHP 5)

strcspn — Find length of initial segment not matching mask

### Description

int strcspn ( string `$str1` , string `$str2` [, int `$start` [, int `$length` ]] )

Returns the length of the initial segment of `str1` which does not contain any of the characters in `str2`.

### Parameters

`str1`

  The first string.

`str2`

  The second string.

`start`

  The start position of the string to examine.

`length`

  The length of the string to examine.

### Return Values

Returns the length of the segment as an integer.

### Changelog

Version | Description
--- | ---
4.3.0 | The `start` and `length` were added

### Examples

Example #1 strcspn() example

`<?php
$a = strcspn('abcd', 'apple');
$b = strcspn('abcd', 'banana');
$c = strcspn('hello', 'l');
$d = strcspn('hello', 'world');
var_dump($a);
var_dump($b);
var_dump($c);
var_dump($d);
?>`

The above example will output:

    int(0)
    int(0)
    int(2)
    int(2)

### Notes

> Note: This function is binary-safe.

### See Also

- strspn() - Finds the length of the initial segment of a string consisting entirely of characters contained within a given mask.

strcoll
strip_tags
String Functions
PHP Manual